#!/usr/bin/perl

# input file
$ifile = "initrd.bin";

# max 14MB
$maxsize = 14*1024*1024+(128)*1024;

$line = `ls -l $ifile`;
@cmd = split(' ',$line);
$size = @cmd[4];

$ksize = int $size/1024;
$msize = $size/(1024*1024);
print sprintf "Image size %d Bytes (%d KB, %.3f MB)\n",$size,$ksize,$msize;

$esize = $maxsize - $size;
$ksize = int $esize/1024;
$msize = $esize/(1024*1024);
print sprintf " rest size %d Bytes (%d KB, %.3f MB)\n",$esize,$ksize,$msize;
if ($size > $maxsize) {
  print "** WARNING: image size is over 14MB\n";
}
